%global srcname httpsig

Name:           python-%{srcname}
Version:        1.3.0
Release:        %autorelease
Summary:        Secure HTTP request signing using the HTTP Signature draft spec

License:        MIT
URL:            https://github.com/ahknight/httpsig
Source:         %{pypi_source}

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-six
BuildRequires:  sed

%global _description %{expand:
Sign HTTP requests with secure signatures according to the IETF HTTP Signatures
specification (Draft 8). This is a fork of the original module to fully support
both RSA and HMAC schemes as well as unit test both schemes to prove they work.
It's being used in production and is actively-developed.}

%description %_description

%package -n     python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %_description

%prep
%autosetup -p1 -n %{srcname}-%{version}

# Use pycryptodomex
sed -i "s:'pycryptodome.*':'pycryptodomex':" setup.py
sed -i "s:Crypto:Cryptodome:" httpsig/{sign,utils}.py

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pytest

%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.rst CHANGELOG.rst

%changelog
%autochangelog
